# $Revision: 1.23 $, $Date: 2008/07/27 22:32:17 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBIx
%define		pnam	AnyDBD
Summary:	DBIx::AnyDBD - DBD independent class
Summary(pl.UTF-8):	DBIx::AnyDBD - klasa niezależności od DBD
Name:		perl-DBIx-AnyDBD
Version:	2.01
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b8dcb0ec10bcc7e8d83e1a031b73ab6b
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-DBI
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class provides application developers with an abstraction class a
level away from DBI, that allows them to write an application that
works on multiple database platforms. The idea isn't to take away the
responsibility for coding different SQL on different platforms, but to
simply provide a platform that uses the right class at the right time
for whatever DB is currently in use.

%description -l pl.UTF-8
Ta klasa udostępnia programistom aplikacji klasę abstrakcji na
poziomie ponad DBI, pozwalającą pisać aplikacje działające na wielu
platformach bazodanowych. Ideą nie jest wyeliminowanie konieczności
używania różnego SQL dla różnych platform, ale dostarczenie platformy
używającej właściwej klasy we właściwym czasie, w zależności od
aktualnie używanej bazy danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_vendorlib}/%{pdir}/*.pm
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBIx-AnyDBD.spec,v $
Revision 1.23  2008/07/27 22:32:17  arekm
- release 4

Revision 1.22  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.20  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.19  2004/11/03 22:30:15  paladine
- formatting

Revision 1.18  2004/10/24 14:18:11  paladine
- spelling fixes

Revision 1.17  2004/05/07 01:09:19  ankry
- rel. 3

Revision 1.16  2004/05/06 18:09:28  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.14  2004/04/20 10:08:06  ankry
- new bconds

Revision 1.13  2004/04/20 05:35:02  ankry
- license fixes and unification

Revision 1.12  2004/04/14 14:47:10  ankry
- cosmetics

Revision 1.11  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:32  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 18:05:01  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:38:31  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:30:44  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/08 11:03:44  radek
- version 2.01
- added Changes and README files

Revision 1.2  2002/08/18 13:54:20  qboosh
- pl description, release ++

Revision 1.1  2002/08/09 00:35:56  radek
- new, STBR
